<?php

require( "../inc/conf.inc.php" );
require( "../inc/check.php" );
$login = autorize();
print '<card title="Махинации с Грамотеем :)">'.
'<p align="center">';

$query_users = @mysql_query("select * from `users` where id='$id';");
@mysql_query("update `users` set ltime='".time()."',  where id='".$id."';");
################
#$quest = gzfile( "../quest.gz" );
#$rn = rand( 0, count( $quest ) - 1 );
#$data = explode( "::", $quest[$rn] );
#$nv = trim( $data[0] );
#$answer = trim( $data[1] );
#$len = strlen( $answer ) / 2;
#$fp = fopen( "../data/vict.dat", "wb" );
#fputs( $fp, ".$answer." );
#fclose( $fp );
############*/
#$query_otvet = @mysql_query("select * from `vict` where id='1' ;");
#$itog = @mysql_fetch_array($query_otvet);
$data = @mysql_fetch_array($query_users);
$kupleno= $data['kupleno'];
$kupivshemu= $data['login'];
$posts= $data['posts'];
$odin= "1";
#$answer = $itog['answered'];
if($login) {
if(!$login['ip']) { @mysql_query("update `".$px.$utable."` set `ip`='".getenv(REMOTE_ADDR)."' where `id`='".$id."';"); }
if(!$login['soft']) { @mysql_query("update `".$px.$utable."` set `soft`='".getenv(HTTP_USER_AGENT)."' where `id`='".$id."';"); }
$resultkup= $posts-$pokupka;
$sumaotvetov= $kupleno+1;
echo "<title>{$cname}</title>";
echo "<link rel=\"shortcut icon\" href=\"http://sim-sim.h2m.ru/logo/icon.php\">";
echo "<style type=\"text/css\">";
echo "body { font-size: {$fs}; color: {$tcol}; background-color: {$bcol}; text-align: center }";
echo "a:link,a:visited { text-decoration: none; color: {$lcol} }";
echo "div { border-style:solid; border-width: 1px; background-color: {$rcol} }";
echo "</style>";
echo "</head>";
echo "<body>";
echo "<div>Библиотека</div>";
include ("../victkup.php");
switch($mod) {
case 'kupotvet':
if ($posts > $pokupka)
{
@mysql_query("update `".$px.$utable."`  set kupleno='$sumaotvetov',`posts`='$resultkup'  where `login`='$kupivshemu'");
$time = time( );
$msg = "<b><u>{$kupivshemu}</u></b> пиши скорее <b>{$answer}</b>, это правильный ответ.";
print "После покупки осталось ".$resultkup." постов<br/>";
print"Правильный ответ <b>{$answer}</b>, дуй в викторину и радуйсо :):):)<br/>";
print "<a href=\"../room.php?id={$id}&amp;pass={$pass}&amp;rm={$rm}&amp;ref={$ref}\">бегом читать правильный ответ :):):) </a><br/>";
mysql_query( "Insert into mess set login='[Продавец]', msg='".$msg."', id_from='0', id_to='".$id."', wtime='".$time."',room='all'" );
}
else
{
print "Недостаточно постов!!<br/>";
}
break;
default:
print  "Сейчас у Вас  <b>".$data['posts']."</b> постов<br/>";
print "Вы можете купить правильный ответ у Грамотея:) заплатив ему за это $pokupka своих постов.";
print "Если такой вариант устраивает, жмём <a href=\"./kupotvet.php?id=$id&amp;pass=$pass&amp;mod=kupotvet\">СЮДА</a><div>";
print "Отказ</div>";
print "Ну а если неустраивает такая фишка, то <a href=\"../room.php?id={$id}&amp;pass={$pass}&amp;rm={$rm}&amp;ref={$ref}\">гуляем тихой походкой отсюда </a>:):):)<br/>";
print"Колличество купленных Вами ответов = <b>".$kupleno."</b> <br/>";
break;
}
}
$end = gettime( );
echo "[".round( $end - $mystart, 5 )."]";
require("../inc/coper.php");
echo "</body></html>";
mysql_close( $link );
echo "\r\n";
?>